## com.ibm.lab.soln.interopedit.editors
Class ActiveXMultiPageEditorContributor

    java.lang.Object
      |
      +--org.eclipse.ui.part.EditorActionBarContributor
            |
            +--org.eclipse.ui.part.MultiPageEditorActionBarContributor
                  |
                  +--com.ibm.lab.soln.interopedit.editors.ActiveXMultiPageEditorContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

public class ActiveXMultiPageEditorContributor
extends org.eclipse.ui.part.MultiPageEditorActionBarContributor

Manages the installation/deinstallation of global actions for multi-page editors. Responsible for the redirection of global actions to the active editor. Multi-page contributor replaces the contributors for the individual editors in the multi-page editor.

Constructor Summary
`ActiveXMultiPageEditorContributor()` Creates a multi-page contributor.

Method Summary
`void` | `contributeToMenu(org.eclipse.jface.action.IMenuManager manager)` Adds bold, italic and underline actions.
`void` | `contributeToToolBar(org.eclipse.jface.action.IToolBarManager manager)` Adds bold, italic, and underline actions
`protected org.eclipse.jface.action.IAction` | `getAction(org.eclipse.ui.texteditor.ITextEditor editor, java.lang.String actionID)` Returns the action registered with the given text editor.
`void` | `init(org.eclipse.ui.IActionBars bars, org.eclipse.ui.IWorkbenchPage page)`
`void` | `setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)` This method saves the active browser editor the user is working with.
`void` | `setActivePage(org.eclipse.ui.IEditorPart part)` Sets up the standard (global ) editor menus

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToStatusLine, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveXMultiPageEditorContributor

    public ActiveXMultiPageEditorContributor()

  Creates a multi-page contributor.

Method Detail

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager manager)

  Adds bold, italic and underline actions.
  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor.contributeToMenu(IMenuManager)`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager manager)

  Adds bold, italic, and underline actions
  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor.contributeToToolBar(IToolBarManager)`

### getAction

    protected org.eclipse.jface.action.IAction getAction(org.eclipse.ui.texteditor.ITextEditor editor,
                                                         java.lang.String actionID)

  Returns the action registered with the given text editor.
  Returns:
    IAction or null if editor is null.

### init

    public void init(org.eclipse.ui.IActionBars bars,
                     org.eclipse.ui.IWorkbenchPage page)

  Overrides:
    `init` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `IEditorActionBarContributor.init(IActionBars, IWorkbenchPage)`

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)

  This method saves the active browser editor the user is working with.
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.part.MultiPageEditorActionBarContributor`
  See Also:
    `IEditorActionBarContributor.setActiveEditor(IEditorPart)`

### setActivePage

    public void setActivePage(org.eclipse.ui.IEditorPart part)

  Sets up the standard (global ) editor menus
  Overrides:
    `setActivePage` in class `org.eclipse.ui.part.MultiPageEditorActionBarContributor`
  See Also:
    `MultiPageEditorActionBarContributor.setActivePage(IEditorPart)`